const app = getApp()
const GtPush = require('../../gtpush-min')
Page({
    data: {
        appid: 'LLNstWgyGm8UM2SsherlU3',
        cid: '',
        online: false,
        messages: ''
    },
    onLoad: function () {
        let _this = this
        GtPush.setDebugMode(true)
        GtPush.init({
            appid: _this.data.appid,
            onClientId: (res) => {
                console.log('onclientid', res)
                _this.setData({ cid: res.cid })
            },
            onlineState: (res) => {
                console.log('onlineState', res)
                _this.setData({ online: res.online })
            },
            onPushMsg: (res) => {
                console.log('onPushMsg', res)
                let data = _this.data.messages + "onPushMsg: " + res.message + "\n"
                _this.setData({ messages: data })
            },
            onError: (res) => {
                console.log('onError', res)
                let data = _this.data.messages + "onError: " + res.error + "\n"
                _this.setData({ messages: data })
            }
        })
    }
})
